QGIS crashes with segfault in libc.so
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 19461

Description

When I launch QGIS, I get the splash screen, two python errors (for the plugins SelectTools and statist), then it crashes. See the attached

gdb log and backtrace.

I used glibc and qgis 2.4 with debug symbols (qgis built using https://aur.archlinux.org/packages/qgis/ -> 

https://aur.archlinux.org/packages/qg/qgis/PKGBUILD ).

64 bit Archlinux, everything up to date.

No idea if this even is a QGIS bug. If not, please tell me who to blame instead. ;)

History

#1 - 2014-09-04 12:41 AM - Matthias Kuhn

- Status changed from Open to Feedback

Qgis loads some Qt5 modules despite being compiled against Qt4.

Can you try to run it with --noplugins?

And specify the exact version of the operating system you are using.

#2 - 2014-09-04 03:23 AM - Johannes Kroeger

Bingo! I switched between normal loading and --noplugins, uninstalling plugins until it worked. The culprit was the Statist plugin. When I tried reinstalling it,

I got the message "The plugin is broken. Python said: the PyQt5.QtCore and PyQt4.QtCore modules both wrap the QObject class".

My system is Archlinux, "Linux 3.16.1-1-ARCH #1 SMP PREEMPT Thu Aug 14 07:40:19 CEST 2014 x86_64 GNU/Linux".

qt3 1:3.3.8b-7

qt4 4.8.6-1

python2-pyqt4 4.11.1-1

python2-pyqt5 5.3.1-1

I found this related issue: https://aur.archlinux.org/packages/mnemosyne/

I cloned the Statist repo into my plugins directory and like in that proposed workaround prefixed all "PyQt4.QtGui" imports with:

from matplotlib import use

use("Qt4Agg")

This made QGIS load without crashing, I broke the Statist plugin with it though("No module named ui_statistdialogbase") or maybe I did not even install it

2025-05-21 1/2

https://aur.archlinux.org/packages/qgis/
https://aur.archlinux.org/packages/qg/qgis/PKGBUILD
https://aur.archlinux.org/packages/mnemosyne/


properly. I have no idea. :)

#3 - 2014-09-04 11:51 PM - Matthias Kuhn

- Resolution set to invalid

- Status changed from Feedback to Closed

Please ask on the offending plugin's issue tracker / contact the author.

Two hints that may work:

    -  Create a matplitlibrc file with "backend: QT4Agg" (To work with the plugin from the repository again)

    -  Run "make" in the plugin folder of your own clone to compile .ui resources.

Please provide feedback in the plugins issue tracker (if this doesn't work as well as if it works) for future reference
